backend:
  name: github
  repo: mace07/actor_website
  branch: main
  base_url: https://www.davidmason.info
  auth_endpoint: auth

media_folder: "static/uploads"
public_folder: "/uploads"

collections:
  - name: "pages"
    label: "Pages"
    files:
      - file: "content/_index.md"
        label: "Home Page"
        name: "home"
        fields:
          - { label: "Title", name: "title", widget: "string" }
          - label: "Slides"
            name: "slides"
            widget: "list"
            summary: "{{fields.image}}"
            fields:
              - { label: "Slide Image", name: "image", widget: "image" }
  
  - name: "news"
    label: "News"
    folder: "content/news"
    create: true
    slug: "{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Date", name: "date", widget: "datetime" }
      - { label: "Image", name: "image", widget: "image", required: false }
      - { label: "Summary", name: "summary", widget: "markdown", required: false }

  - name: "resume"
    label: "Resume"
    files:
      - file: "data/resume.yaml"
        label: "Resume Data"
        name: "resume"
        fields:
          - label: "Broadway"
            name: "broadway"
            widget: "list"
            minimize_collapsed: true
            collapsed: true 
            summary: "{{fields.production}} - {{fields.role}}"
            fields:
              - { label: "Weight", name: "weight", widget: "number", value_type: "int", min: 0, default: 0 }
              - { label: "Production", name: "production", widget: "string" }
              - { label: "Role", name: "role", widget: "string" }
              - { label: "Director", name: "director", widget: "text" }
          
          - label: "Off Broadway"
            name: "off_broadway"
            widget: "list"
            minimize_collapsed: true
            collapsed: true 
            summary: "{{fields.production}} - {{fields.role}}"
            fields:
              - { label: "Weight", name: "weight", widget: "number", value_type: "int", min: 0, default: 0 }
              - { label: "Production", name: "production", widget: "string" }
              - { label: "Role", name: "role", widget: "string" }
              - { label: "Director", name: "director", widget: "text" }
          
          - label: "Other NYC"
            name: "other_nyc"
            widget: "list"
            minimize_collapsed: true
            collapsed: true 
            summary: "{{fields.production}} - {{fields.role}}"
            fields:
              - { label: "Weight", name: "weight", widget: "number", value_type: "int", min: 0, default: 0 }
              - { label: "Production", name: "production", widget: "string" }
              - { label: "Role", name: "role", widget: "string" }
              - { label: "Director", name: "director", widget: "text" }
          
          - label: "Regional Theater"
            name: "regional_theater"
            widget: "list"
            minimize_collapsed: true
            collapsed: true 
            summary: "{{fields.production}} - {{fields.role}}"
            fields:
              - { label: "Weight", name: "weight", widget: "number", value_type: "int", min: 0, default: 0 }
              - { label: "Production", name: "production", widget: "string" }
              - { label: "Role", name: "role", widget: "string" }
              - { label: "Director", name: "director", widget: "text" }
          
          - label: "TV/Film"
            name: "tv_film"
            widget: "list"
            minimize_collapsed: true
            collapsed: true 
            summary: "{{fields.production}} - {{fields.role}}"
            fields:
              - { label: "Weight", name: "weight", widget: "number", value_type: "int", min: 0, default: 0 }
              - { label: "Production", name: "production", widget: "string" }
              - { label: "Role", name: "role", widget: "string" }
              - { label: "Director", name: "director", widget: "text" }
          
          - label: "Education/Training"
            name: "education"
            widget: "list"
            minimize_collapsed: true
            summary: "{{fields.text}}"
            fields:
              - { label: "Weight", name: "weight", widget: "number", value_type: "int", min: 0, default: 0 }
              - { label: "Description", name: "text", widget: "string" }
          
          - label: "Special Skills"
            name: "special_skills"
            widget: "list"
            minimize_collapsed: true
            summary: "{{fields.special_skills}}"
            fields:
              - { label: "Weight", name: "weight", widget: "number", value_type: "int", min: 0, default: 0 }
              - { label: "Skills", name: "special_skills", widget: "text" }

  - name: "reviews"
    label: "Reviews"
    folder: "content/reviews"
    create: true
    slug: "{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Source", name: "source", widget: "string", required: false }
      - { label: "Body", name: "body", widget: "markdown" }

  - name: "media"
    label: "Media Gallery"
    files:
      - file: "data/media.yaml"
        label: "Media Items"
        name: "media"
        fields:
          - label: "Media Items"
            name: "items"
            widget: "list"
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "Media File", name: "media", widget: "image" }
              - { label: "Is Video", name: "isVideo", widget: "boolean", default: false }
              - { label: "Video URL", name: "url", widget: "string", required: false }
              - { label: "Alt Text", name: "alt", widget: "string", required: false }